"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable @typescript-eslint/no-unused-vars */
const nx_json_1 = require("../../generators/utils/nx-json");
/**
 * Updates existing workspaces to move nx.json's affected.defaultBase to nx.json's base.
 */
function update(host) {
    const nxJson = (0, nx_json_1.readNxJson)(host);
    if (nxJson?.affected?.defaultBase) {
        nxJson.defaultBase = nxJson.affected.defaultBase;
        delete nxJson.affected.defaultBase;
        if (Object.keys(nxJson.affected).length === 0) {
            delete nxJson.affected;
        }
        (0, nx_json_1.updateNxJson)(host, nxJson);
    }
}
exports.default = update;
